Module | Sequel::JDBC::Postgres::DatabaseMethods
In: | lib/sequel/adapters/jdbc/postgresql.rb

Methods to add to Database instances that access PostgreSQL via JDBC.

### Methods

extended

### Included Modules

Sequel::Postgres::DatabaseMethods

### Public Class methods

extended(db)

Add the primary_keys and primary_key_sequences instance variables, so we can get the correct return values for inserted rows.

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 43
    43:         def self.extended(db)
    44:           db.instance_eval do
    45:             @primary_keys = {}
    46:             @primary_key_sequences = {}
    47:           end
    48:         end

[Validate]